Create ecosystem configuration
Roles
Analytics Events
/v1/config/ecosystemsCreates an ecosystem configuration for the tenant.
Analytic events
- ECOSYSTEM_CONFIG_CREATE_START
- ECOSYSTEM_CONFIG_CREATE_SUCCESS
- ECOSYSTEM_CONFIG_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/config/ecosystems" \ -H "Content-Type: application/json" \ -d '{}'{
"ecosystems": [
{
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/cdd42cec-e961-447c-9083-1312ee316053"
}
],
"isIssuanceRestricted": false,
"isVerificationRestricted": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Sync ecosystem POST
Synchronizes all configured consumptions and integrations by retrieving the most recent trust information. **Analytic events** * ECOSYSTEM_TENANT_SYNC_ALL_START * ECOSYSTEM_TENANT_SYNC_ALL_SUCCESS * ECOSYSTEM_TENANT_SYNC_ALL_FAIL
Retrieve ecosystem configuration GET
Retrieves the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_RETRIEVE_START * ECOSYSTEM_CONFIG_RETRIEVE_SUCCESS * ECOSYSTEM_CONFIG_RETRIEVE_FAIL